*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

body {
  height: 100vh;
  margin: 0;
  background: #0d0d0d;
  color: #fff;
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  display: flex;
  align-items: center;
  justify-content: center;
}

.fluid-canvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  touch-action: none;
}

.fluid-canvas~.overlay {
  mix-blend-mode: screen;
  pointer-events: none;
}

.logo::before {
  content: "";
  height: auto;
  width: 16rem;
  aspect-ratio: 3 / 2;
  display: block;
  background: center / contain no-repeat url("data:image/svg+xml;base64,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");
  user-select: none;
  opacity: 0;
  animation: fadeInGlow 2s ease-out forwards;
}

@keyframes fadeInGlow {
  0% {
    opacity: 0;
    text-shadow: 0 0 0 rgba(255, 255, 255, 0);
  }

  50% {
    opacity: 0.5;
    text-shadow: 0 0 15px rgba(255, 255, 255, 0.1);
  }

  100% {
    opacity: 1;
    text-shadow: 0 0 25px rgba(255, 255, 255, 0.2);
  }
}